Insights
Get an insight
Retrieves the specified insight report and its results.
Koptekstparameters
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Queryparameters
includeCoordinates
boolean
Whether to include coordinates for visualization in the response. Defaults to false.
api-version
string
vereist
The API version to use for this operation.
Padparameters
id
string
vereist
The unique identifier for the insights report.
Antwoorden
The request has succeeded.
Hoofdtekst
id
string
vereist
The unique identifier for the insights report.
metadata
InsightsMetadata
vereist
Metadata about the insights.
createdAt
string
vereist
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
vereist
Enum describing allowed operation states.
enum
displayName
string
vereist
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
vereist
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
vereist
The type of insights request.
evalId
string
vereist
Evaluation Id for the insights.
runIds
string[]
vereist
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
vereist
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
vereist
The type of request.
agentName
string
vereist
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
vereist
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
vereist
The type of request.
evalId
string
vereist
Identifier for the evaluation.
baselineRunId
string
vereist
The baseline run ID for comparison.
treatmentRunIds
string[]
vereist
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
vereist
The type of insights result.
comparisons
EvalRunResultComparison[]
vereist
Comparison results for each treatment run against the baseline.
method
string
vereist
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
vereist
The type of insights result.
clusterInsight
ClusterInsightResult
vereist
Insights from the cluster analysis.
summary
InsightSummary
vereist
Summary of the error cluster analysis.
sampleCount
integer
vereist
Total number of samples analyzed.
uniqueSubclusterCount
integer
vereist
Total number of unique subcluster labels.
uniqueClusterCount
integer
vereist
Total number of unique clusters.
method
string
vereist
Method used for clustering.
usage
ClusterTokenUsage
vereist
Token usage for cluster analysis
inputTokenUsage
integer
vereist
input token usage
outputTokenUsage
integer
vereist
output token usage
totalTokenUsage
integer
vereist
total token usage
clusters
InsightCluster[]
vereist
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
vereist
X-axis coordinate.
y
integer
vereist
Y-axis coordinate.
size
integer
vereist
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
vereist
The type of insights result.
clusterInsight
ClusterInsightResult
vereist
Insights from the cluster analysis.
summary
InsightSummary
vereist
Summary of the error cluster analysis.
sampleCount
integer
vereist
Total number of samples analyzed.
uniqueSubclusterCount
integer
vereist
Total number of unique subcluster labels.
uniqueClusterCount
integer
vereist
Total number of unique clusters.
method
string
vereist
Method used for clustering.
usage
ClusterTokenUsage
vereist
Token usage for cluster analysis
inputTokenUsage
integer
vereist
input token usage
outputTokenUsage
integer
vereist
output token usage
totalTokenUsage
integer
vereist
total token usage
clusters
InsightCluster[]
vereist
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
vereist
X-axis coordinate.
y
integer
vereist
Y-axis coordinate.
size
integer
vereist
Size of the chart element.
Aanvraag
GET /insights/{id} HTTP/1.1
Respons
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json